
package utilesATP;

import java.util.*;

/**
 *
 * Clase para almacenar y tratar los datos de la ATP
 */
public class DatosATP {
    private static final int TOTAL_TORNEOS = 14;  
    private ....[] torneos;
    //ms campos si fuesen necesarioa

    //constructores y mtodos
    
    private void inicializarTorneos()
    {
        Fecha finiSidney = new Fecha(15,1,2011);
        Fecha ffinSidney = new Fecha(30,1,2011);
        torneos[0] = new GrandSlam("Sidney", finiSidney, ffinSidney, "Australia");
        
        Fecha finiParis = new Fecha(29,5,2011);
        Fecha ffinParis = new Fecha(12,6,2011);
        torneos[1] = new GrandSlam("Paris", finiParis, ffinParis, "Francia");

        Fecha finiLondres = new Fecha(1,7,2011);
        Fecha ffinLondres = new Fecha(16,7,2011);
        torneos[2] = new GrandSlam("Londres", finiLondres, ffinLondres, "Gran Bretaa");
        
        Fecha finiNewYork = new Fecha(10,9,2011);
        Fecha ffinNewYork = new Fecha(25,9,2011);
        torneos[3] = new GrandSlam("NewYork", finiNewYork, ffinNewYork, "EEUU");
        
        Fecha finiLondres2 = new Fecha(9,11,2011);
        Fecha ffinLondres2 = new Fecha(16,11,2011);
        torneos[4] = new ATPWorld("Londres", finiLondres2, ffinLondres2, "Singapour");
        
        for (int i = 5; i < torneos.length; i++) {
            Fecha ini = new Fecha(i-1, i-4, 2011);
            Fecha fin = new Fecha(i+6, i-4, 2011);
            String ciudad = "Ciudad "+ i;
            String pista = "Tipo pista " + i;
            torneos[i] = new MasterSerie(ciudad, ini, fin,  pista);
        }
        
    }
}
